Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
bubblebabble.c File Reference
`#include "ruby.h"`
`#include "digest.h"`
Include dependency graph for bubblebabble.c:

Go to the source code of this file.

## Functions
static VALUE | bubblebabble_str_new (VALUE str_digest)
static VALUE | rb_digest_s_bubblebabble (VALUE klass, VALUE str)
static VALUE | rb_digest_class_s_bubblebabble (int argc, VALUE *argv, VALUE klass)
static VALUE | rb_digest_instance_bubblebabble (VALUE self)
void | Init_bubblebabble (void)

## Variables
static ID | id_digest

## Function Documentation

static VALUE bubblebabble_str_new | ( | VALUE | str_digest) |  |
| static

Definition at line 20 of file bubblebabble.c.

References i, LONG_MAX, p, rb_eRuntimeError, rb_raise(), rb_str_new(), RSTRING_LEN, RSTRING_PTR, and StringValue.

Referenced by rb_digest_class_s_bubblebabble(), rb_digest_instance_bubblebabble(), and rb_digest_s_bubblebabble().

void Init_bubblebabble | ( | void | ) |  |

Definition at line 122 of file bubblebabble.c.

References id_digest, rb_define_method(), rb_define_module_function(), rb_define_singleton_method(), rb_digest_class_s_bubblebabble(), rb_digest_instance_bubblebabble(), rb_digest_s_bubblebabble(), rb_intern, rb_path2class(), and rb_require().

static VALUE rb_digest_class_s_bubblebabble | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | klass
| ) |  |
| static

Definition at line 100 of file bubblebabble.c.

References bubblebabble_str_new(), id_digest, and rb_funcall2().

Referenced by Init_bubblebabble().

static VALUE rb_digest_instance_bubblebabble | ( | VALUE | self) |  |
| static

Definition at line 112 of file bubblebabble.c.

References bubblebabble_str_new(), id_digest, and rb_funcall().

Referenced by Init_bubblebabble().

static VALUE rb_digest_s_bubblebabble | ( | VALUE | klass,
|  | VALUE | str
| ) |  |
| static

Definition at line 88 of file bubblebabble.c.

References bubblebabble_str_new().

Referenced by Init_bubblebabble().

## Variable Documentation

ID id_digest
| static

Definition at line 17 of file bubblebabble.c.

Referenced by Init_bubblebabble(), rb_digest_class_s_bubblebabble(), and rb_digest_instance_bubblebabble().